<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <title>Spring samples: rest-messages</title>
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <script src="js/stars.js"></script>
</head>
<body>
<main>
    <h1>Spring REST messages webserver</h1>

    <h2>Pages using rest/messages</h2>
    <ul>
        <li>
            <a href="message.html" >Ajax: Get one message REST</a>
        </li>
        <li>
            <a href="messages.html" >Ajax: Get all messages REST</a>
        </li>
    </ul>

    <h2>Direct links to rest/messages</h2>
    <ul>
        <li>
            <a href="messages/1" >Get messages with id=1 (XML)</a>
        </li>
        <li>
            <a href="messages/" >Get All messages (XML)</a>
        </li>
    </ul>

    <h2>Direct links to rest/test</h2>
    <p>This rest controller's answer depends on the type of input.
        When it's a number, the value is doubled and returned.
        When it's a string, the returned line is a "hello x" to that string.</p>
    <ul>
        <li>
            <a href="test/100" >Run test with value 100 (XML)</a>
        </li>
        <li>
            <a href="test/world" >Run test with name "world" (XML)</a>
        </li>
    </ul>
</main>
<footer>
    <h3>Spring samples: rest-messages</h3>
    <p class="float-right author">Author: Ward Truyen</p>
</footer>
</body>
</html>
